=== debian/changelog ===
libsavitar (3.1.0-1) unstable; urgency=medium

  * New upstream version 3.1.0

 -- Gregor Riepl <onitake@gmail.com>  Sat, 23 Dec 2017 12:39:22 +0100

libsavitar (3.0.3-3) unstable; urgency=medium

  [ Gregor Riepl ]
  * Fixed incorrect quoting in symbols file (Closes: #881493).
  * Some copyright file corrections (Closes: #881483).

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 21 Nov 2017 02:25:24 +0000

libsavitar (3.0.3-2) unstable; urgency=medium

  [ Gregor Riepl ]
  * Removed license deviation for src/Face.h and added clarification about the
    incorrect license header
  * Symbols update for archs other than amd64

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 13 Nov 2017 15:10:17 +0100

libsavitar (3.0.3-1) unstable; urgency=medium

  [ Gregor Riepl ]
  * Updated to version 3.0.3.
  * Upstream license change from AGPL-3+ to LGPL-3+.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 29 Oct 2017 07:27:58 +0000

libsavitar (2.6.0-1) unstable; urgency=medium

  [ Gregor Riepl ]
  * Initial Debian release. See #706656.
  * Based on upstream release 2.6.0, as this version includes patches that
    separate the C++ library from the Python SIP module.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 08 Oct 2017 06:02:13 +0000
