=== debian/control ===
Source: libsavitar
Priority: optional
Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
Uploaders: Gregor Riepl <onitake@gmail.com>
Build-Depends: debhelper (>= 10), cmake (>=2.8.12), dh-python,
 libpugixml-dev (>=1.7),
 python3-all-dev, python3-sip-dev
Standards-Version: 4.1.2
Section: libs
X-Python3-Version: >= 3.5
Homepage: https://github.com/Ultimaker/libSavitar
Vcs-Browser: https://anonscm.debian.org/cgit/3dprinter/packages/libsavitar.git/
Vcs-Git: https://anonscm.debian.org/git/3dprinter/packages/libsavitar.git

Package: libsavitar0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: 3MF file handling library (shared library)
 Savitar is a C++ library with Python 3 bindings for
 reading and writing 3MF files.
 .
 3MF is an interchange format for sharing 3D models and other 3D printing
 data between related software and 3D printers.
 It is XML based and standardised by the 3MF consortium.
 .
 This package contains the shared library.

Package: libsavitar-dev
Section: libdevel
Architecture: any
Depends: libsavitar0 (= ${binary:Version}), libpugixml-dev (>=1.7), ${misc:Depends}
Description: 3MF file handling library (development files)
 Savitar is a C++ library with Python 3 bindings for
 reading and writing 3MF files.
 .
 3MF is an interchange format for sharing 3D models and other 3D printing
 data between related software and 3D printers.
 It is XML based and standardised by the 3MF consortium.
 .
 This package contains C++ headers and other development files.

Package: python3-savitar
Section: python
Architecture: any
Depends: libsavitar0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: 3MF file handling library (Python bindings)
 Savitar is a C++ library with Python 3 bindings for
 reading and writing 3MF files.
 .
 3MF is an interchange format for sharing 3D models and other 3D printing
 data between related software and 3D printers.
 It is XML based and standardised by the 3MF consortium.
 .
 This package contains the Python 3 bindings.
