## libsavitar 3.3.0

=== debian/changelog ===
libsavitar (3.3.0-3) unstable; urgency=medium

  [Gregor Riepl]
  * Depend on python3-dev since we're not building for all Python
    interpreters.
    Closes: #909730

  [Matthias Klose]
  * Mark more symbols as optional not seen when building with -O3.
    Closes: #912413

  [ Gregor Riepl ]
  * Added new missing generated symbols (related to #912413).

  [ Petter Reinholdtsen ]
  * Corrected incorrectly blacklisting of python3-sip version 4.19.12+dfsg-1.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 08 Dec 2018 14:59:14 +0000

libsavitar (3.3.0-2) unstable; urgency=medium

  * Blacklisted incompatible python3-sip version (4.19.11+dfsg-1)
  * Made more symbols optional to allow for -O3 builds on
    Ubuntu (Closes: #903422).

 -- Gregor Riepl <onitake@gmail.com>  Mon, 16 Jul 2018 06:21:29 +0000

libsavitar (3.3.0-1) unstable; urgency=medium

  * New upstream version 3.3.0
  * Migrated to salsa

 -- Gregor Riepl <onitake@gmail.com>  Mon, 18 Jun 2018 18:59:27 +0200

libsavitar (3.2.1-1) unstable; urgency=medium

  * New upstream version 3.2.1
  * Set Multi-Arch:same to enable co-installability

 -- Gregor Riepl <onitake@gmail.com>  Fri, 16 Mar 2018 08:53:18 +0100
