=== debian/control ===
--- 
+++ 
@@ -2,18 +2,20 @@
 Priority: optional
 Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
 Uploaders: Gregor Riepl <onitake@gmail.com>
-Build-Depends: debhelper (>= 10), cmake (>=2.8.12), dh-python,
+Build-Depends: debhelper (>=10.2.1), cmake (>=2.8.12), dh-python,
  libpugixml-dev (>=1.7),
- python3-all-dev, python3-sip-dev
-Standards-Version: 4.1.2
+ python3-dev,
+ python3-sip-dev (>> 4.19.12+dfsg-1) | python3-sip-dev (<< 4.19.11+dfsg-1)
+Standards-Version: 4.1.4
 Section: libs
 X-Python3-Version: >= 3.5
 Homepage: https://github.com/Ultimaker/libSavitar
-Vcs-Browser: https://anonscm.debian.org/cgit/3dprinter/packages/libsavitar.git/
-Vcs-Git: https://anonscm.debian.org/git/3dprinter/packages/libsavitar.git
+Vcs-Browser: https://salsa.debian.org/3dprinting-team/libsavitar
+Vcs-Git: https://salsa.debian.org/3dprinting-team/libsavitar.git
 
 Package: libsavitar0
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: 3MF file handling library (shared library)
  Savitar is a C++ library with Python 3 bindings for
@@ -28,6 +30,7 @@
 Package: libsavitar-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libsavitar0 (= ${binary:Version}), libpugixml-dev (>=1.7), ${misc:Depends}
 Description: 3MF file handling library (development files)
  Savitar is a C++ library with Python 3 bindings for
@@ -42,6 +45,7 @@
 Package: python3-savitar
 Section: python
 Architecture: any
+Multi-Arch: same
 Depends: libsavitar0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
 Description: 3MF file handling library (Python bindings)
  Savitar is a C++ library with Python 3 bindings for
