=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
# Apply hardening flags (see: https://wiki.debian.org/Hardening#Notes_for_packages_using_CMake)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --buildsystem=cmake --with python3
