=== debian/changelog ===
libsavitar (4.4.1-2build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:20:42 +0100

libsavitar (4.4.1-2) unstable; urgency=medium

  * Team upload.

  [ Matthias Klose ]
  * Mark some more symbols as optional. (Closes: #950346)

 -- Christoph Berg <myon@debian.org>  Sun, 02 Feb 2020 21:22:22 +0100

libsavitar (4.4.1-1) unstable; urgency=medium

  * Team upload.

  [ Gregor Riepl ]
  * New upstream version 4.2.0
  * Updated standards
  * Enabled multi-Python build
  * Removed explicit Python 3.5 dependency, bullseye no longer needs it
  * Cleaned up API symbols file

  [ Christoph Berg ]
  * New upstream version 4.4.1.
  * Add patch to force python version in CMake.
  * tests: Depend on all python3 versions.

 -- Christoph Berg <myon@debian.org>  Tue, 28 Jan 2020 10:42:29 +0100
