=== debian/control ===
--- 
+++ 
@@ -2,13 +2,12 @@
 Priority: optional
 Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
 Uploaders: Gregor Riepl <onitake@gmail.com>
-Build-Depends: debhelper (>=10.2.1), cmake (>=2.8.12), dh-python,
+Build-Depends: debhelper (>=10.2.1), cmake (>=3.12), dh-python,
  libpugixml-dev (>=1.7),
- python3-dev,
+ python3-all-dev,
  python3-sip-dev (>> 4.19.12+dfsg-1) | python3-sip-dev (<< 4.19.11+dfsg-1)
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Section: libs
-X-Python3-Version: >= 3.5
 Homepage: https://github.com/Ultimaker/libSavitar
 Vcs-Browser: https://salsa.debian.org/3dprinting-team/libsavitar
 Vcs-Git: https://salsa.debian.org/3dprinting-team/libsavitar.git
@@ -46,7 +45,8 @@
 Section: python
 Architecture: any
 Multi-Arch: same
-Depends: libsavitar0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
+Depends: libsavitar0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
+ ${python3:Depends}, ${sip3:Depends}
 Description: 3MF file handling library (Python bindings)
  Savitar is a C++ library with Python 3 bindings for
  reading and writing 3MF files.
