=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,7 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
+export PYBUILD_CONFIGURE_ARGS=-DPYVER={version}
+
 %:
-	dh $@ --buildsystem=cmake --with python3
+	dh $@ --buildsystem=pybuild --with python3 --with sip3
