=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/(\d\S+)\.tar\.gz/libSavitar-$1\.tar\.gz/ \
  https://github.com/Ultimaker/libSavitar/tags .*/(\d\.\S+)\.tar\.gz
