## libsavitar 4.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -46,6 +46,7 @@
 endif()
 
 set(savitar_SRCS
+    src/Namespace.cpp
     src/ThreeMFParser.cpp
     src/SceneNode.cpp
     src/Scene.cpp
@@ -55,6 +56,7 @@
 )
 
 set(savitar_HDRS
+    src/Namespace.h
     src/ThreeMFParser.h
     src/Types.h
     src/SceneNode.h
@@ -140,6 +142,7 @@
 set(savitar_TEST
     ThreeMFParserTest
     MeshDataTest
+    NamespaceTest
 )
 
 # Compiling the test environment.
