=== debian/changelog ===
libsavitar (4.6.2-1) unstable; urgency=low

  * Team upload.

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Christoph Berg ]
  * New upstream version.
  * Remove symbols file. Maintaining symbols for C++ libraries requires
    much more effort than it helps in solving actual problems. The latest
    breakage was induced by GCC 10. Also, we don't have any external reverse-
    dependencies anyway. (Closes: #957474)

 -- Christoph Berg <myon@debian.org>  Fri, 31 Jul 2020 19:14:04 +0200

libsavitar (4.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Fri, 13 Mar 2020 22:10:02 +0100
