=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Priority: optional
 Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
 Uploaders: Gregor Riepl <onitake@gmail.com>
-Build-Depends: debhelper (>=10.2.1), cmake (>=3.12), dh-python,
- libpugixml-dev (>=1.7),
+Build-Depends: debhelper-compat (= 12),
+ cmake (>= 3.12), dh-python,
+ libpugixml-dev (>= 1.7),
  python3-all-dev,
  python3-sip-dev (>> 4.19.12+dfsg-1) | python3-sip-dev (<< 4.19.11+dfsg-1)
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Section: libs
 Homepage: https://github.com/Ultimaker/libSavitar
 Vcs-Browser: https://salsa.debian.org/3dprinting-team/libsavitar
