=== debian/changelog ===
libsavitar (4.8-1) unstable; urgency=medium

  * New upstream version 4.8.
  * Refresh cmake patches, upstream uses PythonInterp/Libs now.
  * debian/watch: Handle -beta releases.
  * Add myself to Uploaders.

 -- Christoph Berg <myon@debian.org>  Mon, 16 Nov 2020 10:11:46 +0100

libsavitar (4.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.7.1.

 -- Christoph Berg <myon@debian.org>  Sun, 06 Sep 2020 23:01:05 +0200
