=== debian/changelog ===
libsavitar (4.13.0-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Mar 2022 18:50:45 +0100

libsavitar (4.13.0-2) unstable; urgency=medium

  * Depend on python3-pyqt5.

 -- Christoph Berg <myon@debian.org>  Fri, 14 Jan 2022 09:42:49 +0100

libsavitar (4.13.0-1) unstable; urgency=medium

  [ Gregor Riepl ]
  * Mark autopkgtest as superficial. (Closes: #974499)

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on cmake, libpugixml-dev and
      python3-sip-dev.
    + libsavitar-dev: Drop versioned constraint on libpugixml-dev in Depends.

  [ Christoph Berg ]
  * New upstream version 4.13.0.

 -- Christoph Berg <myon@debian.org>  Fri, 14 Jan 2022 09:13:33 +0100
