=== debian/control ===
--- 
+++ 
@@ -1,13 +1,16 @@
 Source: libsavitar
 Priority: optional
 Maintainer: Debian 3-D Printing Packages <3dprinter-general@lists.alioth.debian.org>
-Uploaders: Gregor Riepl <onitake@gmail.com>,
+Uploaders:
+ Gregor Riepl <onitake@gmail.com>,
  Christoph Berg <myon@debian.org>,
-Build-Depends: debhelper-compat (= 12),
- cmake (>= 3.12), dh-python,
- libpugixml-dev (>= 1.7),
+Build-Depends:
+ cmake,
+ debhelper-compat (= 12),
+ dh-python,
+ libpugixml-dev,
  python3-all-dev,
- python3-sip-dev (>> 4.19.12+dfsg-1) | python3-sip-dev (<< 4.19.11+dfsg-1)
+ python3-sip-dev,
 Standards-Version: 4.5.0
 Section: libs
 Homepage: https://github.com/Ultimaker/libSavitar
@@ -17,7 +20,9 @@
 Package: libsavitar0
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: 3MF file handling library (shared library)
  Savitar is a C++ library with Python 3 bindings for
  reading and writing 3MF files.
@@ -32,7 +37,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libsavitar0 (= ${binary:Version}), libpugixml-dev (>=1.7), ${misc:Depends}
+Depends:
+ libpugixml-dev,
+ libsavitar0 (= ${binary:Version}),
+ ${misc:Depends},
 Description: 3MF file handling library (development files)
  Savitar is a C++ library with Python 3 bindings for
  reading and writing 3MF files.
@@ -47,8 +55,13 @@
 Section: python
 Architecture: any
 Multi-Arch: same
-Depends: libsavitar0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
- ${python3:Depends}, ${sip3:Depends}
+Depends:
+ libsavitar0 (= ${binary:Version}),
+ python3-pyqt5,
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
+ ${sip3:Depends},
 Description: 3MF file handling library (Python bindings)
  Savitar is a C++ library with Python 3 bindings for
  reading and writing 3MF files.
