=== debian/tests/control ===
Test-Command: for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import Savitar; print(Savitar)" ; done
Restrictions: superficial
Depends:
 python3-all,
 @,
