=== pugixml/CMakeLists.txt ===
--- 
+++ 
@@ -68,13 +68,3 @@
         configure_file(scripts/pugixml.pc.in ${PROJECT_BINARY_DIR}/pugixml.pc @ONLY)
         install(FILES ${PROJECT_BINARY_DIR}/pugixml.pc DESTINATION ${CMAKE_INSTALL_PREFIX}/lib/pkgconfig)
 endif()
-
-if(BUILD_TESTS)
-        file(GLOB TEST_SOURCES tests/*.cpp)
-        file(GLOB FUZZ_SOURCES tests/fuzz_*.cpp)
-        list(REMOVE_ITEM TEST_SOURCES ${FUZZ_SOURCES})
-
-        add_executable(check ${TEST_SOURCES})
-        target_link_libraries(check pugixml)
-        add_custom_command(TARGET check POST_BUILD COMMAND check WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
-endif()
