=== debian/changelog ===
libsavitar (5.0.0-4.1build5) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 21:54:08 +0000

libsavitar (5.0.0-4.1build4) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 22:24:28 +0000

libsavitar (5.0.0-4.1build3) plucky; urgency=medium

  * No-change rebuild with Python 3.13 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 14 Nov 2024 01:26:40 +0000

libsavitar (5.0.0-4.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:34:57 +0000

libsavitar (5.0.0-4.1build1) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Mar 2024 21:17:47 +0100

libsavitar (5.0.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062616

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 17:30:13 +0000

libsavitar (5.0.0-4) unstable; urgency=medium

  * Remove dependency on SIP 4.x, it's no longer needed

 -- Gregor Riepl <onitake@gmail.com>  Thu, 11 Jan 2024 11:40:01 +0100

libsavitar (5.0.0-3) unstable; urgency=medium

  * debian/tests: Python module got renamed to pySavitar.

 -- Christoph Berg <myon@debian.org>  Wed, 05 Jul 2023 16:38:57 +0200

libsavitar (5.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Christoph Berg <myon@debian.org>  Sun, 02 Jul 2023 19:35:33 +0000

libsavitar (5.0.0-1) experimental; urgency=medium

  [ Sebastian Kuzminsky ]
  * New upstream version 5.0.0.
  * Refresh patches.
  * pq 2004: add a patch to let PYVER override Python_VERSION.
  * Build-depend on sip6.
  * Depend on python3-pyqt6.

  [ Christoph Berg ]
  * Bump libsavitar soname to 5.

 -- Christoph Berg <myon@debian.org>  Fri, 27 May 2022 15:44:32 +0200
